from base64 import b64encode
from io import BytesIO

from app.preprocessing import create_dataframe, create_map


def create_table(df) -> str:
    df.fillna(value=0, inplace=True)
    table = df.to_html(classes=["table-striped", "table-hover"])
    return table


def process_data(dataset):
    df = create_dataframe(dataset)
    table = create_table(df)
    map = create_map(df)
    return table, map
